Permalink
Switch branches/tags
Nothing to show
Commits on Sep 30, 2013
  1. Merge pull request #15 from apenney/license

    Ashley Penney committed Sep 30, 2013
    Add Apache 2.0 license file
  2. Add Apache 2.0 license file

    Ashley Penney committed Sep 30, 2013
Commits on Mar 5, 2013
  1. Merge pull request #14 from bodepd/travis_status_2

    bodepd committed Mar 5, 2013
    update status
  2. update status

    Dan Bode committed Mar 5, 2013
  3. Merge pull request #13 from bodepd/travis_status

    bodepd committed Mar 5, 2013
    update readme
  4. update readme

    Dan Bode committed Mar 5, 2013
    add formatting and status link for travis
  5. Merge pull request #12 from bodepd/markdown_readme

    bodepd committed Mar 5, 2013
    Markdown readme
  6. rename README to README.md

    Dan Bode committed Mar 5, 2013
  7. rename travis file.

    Dan Bode committed Mar 5, 2013
Commits on Mar 4, 2013
  1. Merge pull request #10 from bodepd/master

    bodepd committed Mar 4, 2013
    fix mistakes in unit test config
  2. Merge pull request #1 from bodepd/fix_travis

    bodepd committed Mar 4, 2013
    fix issues with travis unit test config
  3. Merge pull request #9 from bodepd/master

    bodepd committed Mar 4, 2013
    update to support 2-6 -> 3.1
  4. fix issues with travis unit test config

    Dan Bode committed Mar 4, 2013
Commits on Mar 3, 2013
  1. Add travis support

    Dan Bode committed Mar 3, 2013
  2. update code to support more simultaneous versions

    Dan Bode committed Mar 3, 2013
    This commit is intended to resolve some of the issues
    related with create_resources support for
    multiple Puppet versions.
    
    Basically, create_resources often needs to be an
    external dependency if it's used in modules, so that
    those modules can work with 2.6.x.
    
    In this case, it needs to be added to the fixtures.yaml
    file. Since there is no way to specify that
    certain dependant modules should only be added for
    certain versions of Puppet, then create_resources will
    even override the native one for versions >= 2.7.0
    in all unit tests.
    
    For this reason, the module needs to be able to
    simultaneously support the targeted versions:
    2.6.x ,2.7.x, 3.0.x, and 3.1.x.
    
    This commit does the following:
       - back ports all 2.7.x changes to create_resources
    (so that it will work with 3.0)
       - modifies tests, unit tests so they pass with
         all targeted versions.
       - update Rakefile and spec_helper to use
         puppetlabs_spec_helper
    
    of coarse, there is a bigger question of if I should
    even be doing this, it has several pitfalls:
      - modules will be tested with an external create_resoures
        which may not be in sync with the one in core
      - I would recommend that modules not pull in
        create_resources as a dep in their module file,
        which means
           1. it becomes an extra step for 2.6.x
           2. module's are not tested and used consistenly
Commits on Jun 24, 2011
  1. Merge pull request #3 from bodepd/issue/master/update_to_correct_version

    Dan Bode committed Jun 24, 2011
    Update to the latest version.
Commits on Jun 22, 2011
  1. updated to the latest version.

    Dan Bode committed Jun 22, 2011
    Updating this modules to the same version that
    was merged into 2.7 for consistency.
Commits on Jun 21, 2011
  1. Merge pull request #2 from jeffmccune/ticket/master/1_forge_compatibi…

    jeffmccune committed Jun 21, 2011
    …lity
    
    Ticket/master/1 forge compatibility
  2. (#1) Add Modulefile for forge compatibility

    jeffmccune committed Jun 21, 2011
    closes #1
    
    Add Module metadata and links to the new module project page and git
    repository.  Dan will update the Forge page.
Commits on Feb 25, 2011
  1. first commit of create_resources module.

    bodepd committed Feb 25, 2011
    it was called accepts.
    
    I added the ability to specify classes or definitions.